Page MenuHomePhabricator

Caption display errors with beta audio player on pages with multiple audio files with captions
Closed, ResolvedPublicBUG REPORT

Description

  1. Play an audio file with captions turned on, pause when a caption is being displayed, and wait for the caption to disappear
  2. Play another audio file with captions turned on

If these steps are performed on w:en:O Canada, with the "new video player" beta preference enabled, at least one of the following issues will occur.

  • The wrong set of captions will be displayed, at least momentarily
  • The second caption to be displayed will be delayed by several seconds, with the previous caption displayed in its place

Event Timeline

Jc86035 created this task.Nov 3 2019, 5:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2019, 5:40 AM
Masumrezarock100 changed the subtype of this task from "Task" to "Bug Report".Nov 3 2019, 7:32 AM
Masumrezarock100 added a subscriber: Masumrezarock100.
TheDJ added a subscriber: TheDJ.Nov 4 2019, 2:25 PM

Nicely discovered !

TheDJ added a comment.EditedNov 4 2019, 3:10 PM

https://github.com/wikimedia/mediawiki-extensions-TimedMediaHandler/blob/master/resources/mw-audio-captions/mw-audio-captions.js

So the problem here is that two players share a 'caption screen'. When you pause a track, at some point it hides the captions. It doesn't remove the current caption, just in case you continue playback later on.

When you then play a second audio fragment, the caption of the previous audio fragment is still in the activeCues variable, so will still be shown, which is 'logical' (because there is no stop) but incorrect.

The solution for this, is to keep track of the audio player connected to the 'activeCues', and change showSubtitles/hideSubtitles to toggle visibility per player. Possibly by moving activeCues to a hiddenCues variable or something when playing/pausing or simply keeping that state in addition to the cue.

Jc86035 updated the task description. (Show Details)Nov 4 2019, 3:34 PM

This task seems complicated from a new contributor's point of view. I'm being bold and removing the good first task tag.

This comment was removed by Jc86035.
TheDJ closed this task as Resolved.Feb 6 2020, 8:55 AM
TheDJ claimed this task.
TheDJ edited projects, added VideoJS player; removed Kaltura player.

A change was made in how audio players load, and this ticked is therefor no longer valid (as this subtitle mode is no longer in use)